<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>CSS Introduction</title>

	<!-- external css -->
		<link rel="stylesheet" type="text/css" href="./index.css">

	<!-- Internal Styling - these are styles addes using the <style> tag inside the HTML file.  -->
	<!-- 	<style type="text/css">
				/*
					CSS Syntax: 
						Selector {
							property:  Value;
						}
						selector - determines which element will the styling applied
						property - the selected styling attribute to be modified in a given selector.
						value - the modified value of the selected styling attribute
				*/
				h1 {
					color: blue;
				}
		</style> 
	-->	
</head>
<body>
	<!-- CSS specificity Rule -->
	<!-- 
		INCLUDING CSS IN HTML
			-Inline Styling (Highest)
			-Intrnal Styling
			-External Styling (lowest)
	 -->

	 <!-- 
	 	CSS Selector
	 		-ID Selector (Highest)
	 		-Class Selector
	 		-Attribute Selector
	 		-Type Selector
	 		-Universal Selector (lowest)
	 -->

	 	<nav>
	 		<a href="#landing">Zuitt</a>
	 		<div>
	 			<a href="landing">Landing</a>
	 			<a href="register">Register</a>
	 		</div>
	 	</nav>

		<!-- Inline Styling - these are styles added within the HTML element through the style attribute.
		  ex. <h1 style="color: red;">Hello World</h1>
		-->
		<h1>Hello World</h1>

		<section id="landing">
			<h2>Welcome to Zuitt</h2>
			<h3 id="zuitt-motto">Opportunities for everyone, everywhere!</h3>

			<img src="https://place-puppy.com/450x450">

			<ol id="bootcamp-learning-list">
				<li class="offering-item">Day Classes</li>
				<li class="offering-item">Night Classes</li>
				<li class="offering-item">Intro to Coding Events</li>
			</ol>

			<a href="#top">Back to Top</a>
		</section>

		<section id="register">
			<h2>Register</h2>
			<form>
				<label for="firstname">First Name</label><br>
				<input type="text" name="firstName" id="FirstName" required autocomplete><br>

				<label for="lastname">Last Name</label><br>
				<input type="text" name="lastname" id="LastName" required autocomplete><br>

				<label for="email">Email</label><br>
				<input type="text" name="Email" id="Email" required autocomplete><br>

				<button type="sybmit">Apply Now</button>
		</form>

		<a href="#top">Back to Top</a>
		</section>


	<!-- 	<h2>CSS Selector Combinators</h2>

		<div id="parent">
			<p>First Paragraph</p>
			<p>Second Paragraph</p>
				<section>
					<p>Third Paragraph</p>
				</section>
		</div>
		
		<p>Fourth Paragraph</p>
		<p>Fifth Paragraph</p>

		<div>
			<p>Sixth Paragraph</p>
			<p>Seventh Paragraph</p>
		</div>

		<p>Sample paragraph</p>

		<div>
			<p>Eigth Paragraph</p>
			<p>Ninth Paragraph</p>
			<p>Tenth Paragraph</p>
			<section>
				<p>Eleventh Paragraph</p>
			</section>
		</div> -->

		
</body>
</html>